Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.JoinSplit Class Reference

## Public Member Functions
| Activate ()
| Activate join split editing. More...
| Deactivate ()
| Deactivate join split editing. More...
| ExitJoinEditing ()
| Exit join split editing. More...
| GetEnableStatus (type)
| Get join split editing operation state. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| JoinBoxes ()
| Call this function to jion text. More...
| LinkBoxes ()
| Call this function to link text. More...
| OnLButtonDown (page_index, point)
| Call this function when left mouse button is down. More...
| OnLButtonUp (page_index, point)
| Call this function when left mouse button is up. More...
| OnMouseMove (page_index, point)
| Call this function when mouse moves. More...
| Render (page_index_array, renderer)
| Draw the currently join split operation state on the render. More...
| SelectNone ()
| Call this function to clear all selected text. More...
| SplitBoxes ()
| Call this function to split text. More...
| UnlinkBoxes ()
| Call this function to unlink text. More...

## Static Public Attributes
static | e_JoinSplitOperationTypeClose
| Join spilt operation type: Close.
static | e_JoinSplitOperationTypeJoin
| Enumeration for join spilt operation type. More...
static | e_JoinSplitOperationTypeLink
| Join spilt operation type: Link.
static | e_JoinSplitOperationTypeSelectNone
| Join spilt operation type: SelectNone.
static | e_JoinSplitOperationTypeSpilt
| Join spilt operation type: Spilt.
static | e_JoinSplitOperationTypeUnlink
| Join spilt operation type: Unlink.

## Detailed Description

This class represents a join split operation. To enable join split feature, user must call function FSDK.JoinSplit.Activate, Otherwise will not be able to use the join split function. User no longer use join split feature, please call the function FSDK.JoinSplit.Deactivate to stop.

## Member Function Documentation

## ◆ Activate()

FSDK.JoinSplit.Activate | ( |  | ) |

Activate join split editing.

Returns
  true means succeful, while false means not.

## ◆ Deactivate()

FSDK.JoinSplit.Deactivate | ( |  | ) |

Deactivate join split editing.

Returns
  true means succeful, while false means not.

## ◆ ExitJoinEditing()

FSDK.JoinSplit.ExitJoinEditing | ( |  | ) |

Exit join split editing.

Returns
  None.

## ◆ GetEnableStatus()

FSDK.JoinSplit.GetEnableStatus | ( | type |  | ) |

Get join split editing operation state.

Returns
  true means enabled, while false means not.

## ◆ IsEmpty()

FSDK.JoinSplit.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ JoinBoxes()

FSDK.JoinSplit.JoinBoxes | ( |  | ) |

Call this function to jion text.

Returns
  None.

## ◆ LinkBoxes()

FSDK.JoinSplit.LinkBoxes | ( |  | ) |

Call this function to link text.

Returns
  None.

## ◆ OnLButtonDown()

FSDK.JoinSplit.OnLButtonDown | ( | page_index | ,
|  | point |
| ) |  |

Call this function when left mouse button is down.

Parameters

  [in] | page | A valid editor page object.
  [in] | point | A point where left mouse button is down in the page, in device coordination system.

Returns
  true means success, while false means failure.

## ◆ OnLButtonUp()

FSDK.JoinSplit.OnLButtonUp | ( | page_index | ,
|  | point |
| ) |  |

Call this function when left mouse button is up.

Parameters

  [in] | page | A valid editor page object.
  [in] | point | A point where left mouse button is up in the page, in device coordination system.

Returns
  true means success, while false means failure.

## ◆ OnMouseMove()

FSDK.JoinSplit.OnMouseMove | ( | page_index | ,
|  | point |
| ) |  |

Call this function when mouse moves.

Parameters

  [in] | page | A valid editor page object.
  [in] | point | A point where left mouse button is up in the page, in device coordination system.

Returns
  true means success, while false means failure.

## ◆ Render()

FSDK.JoinSplit.Render | ( | page_index_array | ,
|  | renderer |
| ) |  |

Draw the currently join split operation state on the render.

This function render matrix is use return by FSDK.ParagraphEditingProviderCallback.GetRenderMatrix.

Parameters

  [in] | visible_page | The editor page array to render.
  [in] | renderer | A valid renderer object for rendering.

Returns
  true means success, while false means failure.

## ◆ SelectNone()

FSDK.JoinSplit.SelectNone | ( |  | ) |

Call this function to clear all selected text.

Returns
  None.

## ◆ SplitBoxes()

FSDK.JoinSplit.SplitBoxes | ( |  | ) |

Call this function to split text.

Returns
  None.

## ◆ UnlinkBoxes()

FSDK.JoinSplit.UnlinkBoxes | ( |  | ) |

Call this function to unlink text.

Returns
  None.

## Member Data Documentation

## ◆ e_JoinSplitOperationTypeJoin

FSDK.JoinSplit.e_JoinSplitOperationTypeJoin
| static

Enumeration for join spilt operation type.

Values of this enumeration should be used alone.

Join spilt operation type: Join.